Jump to content

Server version mismatch


Recommended Posts

Caves: [00:00:41]: [Shard] secondary shard LUA is now ready! 
Caves: [00:00:41]: Sim paused 
Master: [00:00:49]: Registering master server in US lobby

Trying to connect returns version mismatch

Attempted to manualy update the server through steamcmd

steamcmd +force_install_dir "$install_dir" +login anonymous +app_update 343050 validate +quit

Returns that the server is already up to date.

 

Also the server really doesn't want to register to that US lobby, which makes little sense since I live in EU.

Link to comment
Share on other sites

Is your client on the beta branch or something similar? That might cause a version mismatch. Otherwise try validating your client game files as well.

The server automaticially registers in the region with the lowest ping, which sometimes happens to be geographicially further away. It doesn't matter for normal gameplay though.

Link to comment
Share on other sites

Okay I should probably be more detailed. Me and my friends banded together and bought a physical server. One of my friends is hosting various servers on it, and I really want DST to finaly work on it.

  • The physical server uses Linux Ubuntu Server 20.04;
  • Since there is no such thing as Documents folder there my friend rerouted the path to another folder, which works if I can actualy connect to get version mismatch. This can also be confirmed by the fact that both me and my friend made two servers on windows some time ago, also with rerouted path and they worked;
  • User running the script is the owner of those files and has all the permissions required to run it;
  • The server was updated both automaticaly and manualy multiple times, same with the client through either automatic steam updates or files validation;
  • There are no modifications or world generation overrides at the moment, all is on default settings. The server should be public with no passwords or steam group requirement

The server is ran through a script shown below:

#!/bin/bash

steamcmd_dir="steamcmd"
install_dir="/serverdata/steamServers/dontstarvetogether"
cluster_name="MyDediServer"
dontstarve_dir="$HOME/.klei/DoNotStarveTogether"

function fail()
{
	echo Error: "$@" >&2
	exit 1
}

function check_for_file()
{
	if [ ! -e "$1" ]; then
		fail "Missing file: $1"
	fi
}

#Only needed if steamcmd is not installed through apt
#cd "$steamcmd_dir" || fail "Missing $steamcmd_dir directory!"
#check_for_file "steamcmd.sh"

check_for_file "$dontstarve_dir/$cluster_name/cluster.ini"
check_for_file "$dontstarve_dir/$cluster_name/cluster_token.txt"
check_for_file "$dontstarve_dir/$cluster_name/Master/server.ini"
check_for_file "$dontstarve_dir/$cluster_name/Caves/server.ini"

steamcmd +force_install_dir "$install_dir" +login anonymous +app_update 343050 validate +quit

check_for_file "$install_dir/bin"

cd "$install_dir/bin" || fail

run_shared=(./dontstarve_dedicated_server_nullrenderer)
run_shared+=(-console)
run_shared+=(-cluster "$cluster_name")
run_shared+=(-monitor_parent_process $$)

"${run_shared[@]}" -shard Caves  | sed 's/^/Caves:  /' &
"${run_shared[@]}" -shard Master | sed 's/^/Master: /'

 

Link to comment
Share on other sites

Update on the topic. I made a dedicated server on my windows PC. Took a while but works fine. I sent it to a friend to check it.

Of course the physical server uses linux so he changed the text formatting so that the files can be read. It still returns version mismatch.
Could it be some linux-specific bug? Or windows players can't connect to a linux server?

Link to comment
Share on other sites

10 hours ago, MrNaxeros said:

Or windows players can't connect to a linux server?

I'm not sure why it doesn't work on your linux server, but I can assure you that Windows Clients can connect perfectly fine to linux Servers.

Can you try making a backup of your config files and delete the entire DST dedicated server on your linux machine, and afterwards download a fresh one? Maybe there's a corrupted file or something somewhere in there.

Link to comment
Share on other sites

We got it fixed. Apparently the ports were the issue as the player was connecting to shard adapter, rather than the master one.

It's odd. Why does the game throw out version mismatch rather than a message that you are trying to directly connect to a shard server rather than to a master server.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

Please be aware that the content of this thread may be outdated and no longer applicable.

×
  • Create New...